Search found 5 matches

by va6un
Sun Mar 15, 2020 5:15 pm
Forum: Compiler / Linking / IDE Related
Topic: Not able to configure wxwidgets 3.1.3 on VS 2017
Replies: 9
Views: 803

Re: Not able to configure wxwidgets 3.1.3 on VS 2017

Solved.
In Project Configurations -> Linker -> System -> SubSystem -> Windows (/SUBSYSTEM:WINDOWS).
Previously it was set as Console (/SUBSYSTEM:CONSOLE)
The link to SO https://stackoverflow.com/a/60693124/11566024
by va6un
Sat Mar 14, 2020 10:13 am
Forum: Compiler / Linking / IDE Related
Topic: Not able to configure wxwidgets 3.1.3 on VS 2017
Replies: 9
Views: 803

Re: Not able to configure wxwidgets 3.1.3 on VS 2017

I would say you need to remove wxMSVC_VERSION_AUTO from the project's preprocessor defines, see https://docs.wxwidgets.org/trunk/page_cppconst.html#page_cppconst_msvc_setup_h Seeing "mswd" instead of "mswud" in the library path indicates that you also did not set Character Set to "Use Unicode Chara...
by va6un
Sat Mar 14, 2020 10:12 am
Forum: Compiler / Linking / IDE Related
Topic: Not able to configure wxwidgets 3.1.3 on VS 2017
Replies: 9
Views: 803

Re: Not able to configure wxwidgets 3.1.3 on VS 2017

Linker Additional Library Directories -> $(wxwin)\lib\ vc_dll cannot open source file "../../../lib/ vc141_dll /mswd/wx/setup.h" Notice the difference. In general it's easier to take the minimal sample and its project files and copy it instead of creating a new VS solution from scratch. There are m...
by va6un
Sat Mar 14, 2020 10:10 am
Forum: Compiler / Linking / IDE Related
Topic: Not able to configure wxwidgets 3.1.3 on VS 2017
Replies: 9
Views: 803

Re: Not able to configure wxwidgets 3.1.3 on VS 2017

I made mistake while setting the path, corrected the '/' with '\'. Tried a simple program from http://zetcode.com/gui/wxwidgets/firstprograms/ This time no code error is shown. But Linker Tools Error . Error LNK2019 unresolved external symbol _main referenced in function "int __cdecl invoke_main(voi...
by va6un
Fri Mar 13, 2020 10:43 am
Forum: Compiler / Linking / IDE Related
Topic: Not able to configure wxwidgets 3.1.3 on VS 2017
Replies: 9
Views: 803

Not able to configure wxwidgets 3.1.3 on VS 2017

I am not able to configure wxwidgets in Visual Studio 2017. Followed these steps. From wxwidgets website, downloaded Source Code 'Windows 7Z' file, Version 3.1.3 . Run the 'wx_vc15.sln' from build->msw in Visual Studio 2017. Build the Debub, DLL Debug, DLL Release, Relese successfully with Platform ...